@page {
  size: auto;  /* auto is the initial value */
  margin: 0; /* this affects the margin in the printer settings */
}

.print-only {
  visibility: visible;
}

body {
  font-size: 14px;
  line-height: 1.5;
  color: #333;
  background-color: #fff;
  border: 1px solid #000;
  margin: 20px;

  .text-right {
    text-align: right;
  }

  .row {
    position: relative;
    width: 100%;

    .col-print {
      &-4 {
        width: 33.33%;
        float: left;
      }

      &-6 {
        width: 50%;
        float: left;
      }

      &-8 {
        width: 66.67%;
        float: left;
      }
    }
  }

  .mb20 {
    margin-bottom: 20px;
  }
}

.invoice-form, .sales-book {
  padding: 15px;

  .help-text {
    font-weight: normal;
    color: #aaa;
    margin: 0 5px;
  }

  .header {
    .title {
      text-align: center;
      font-weight: bold;
      font-size: 1.2em;
    }

    .item {
      display: flex;
      width: 300px;
      margin-bottom: 5px;

      label {
        white-space: nowrap;
        font-weight: 700;
      }

      span.text {
        flex: 1;
        margin-left: 5px;
        padding-left: 5px;

        &.color-red-dark {
          color: #ec693c;
        }

        &.date {
          margin: 0;
          padding: 0;
          white-space: nowrap;
        }
      }
    }
  }

  .body {
    .table-responsive {
      width: 100%;

      .table {
        border: 1px solid #c4c4c4;
        width: 100%;
        max-width: 100%;
        margin-bottom: 18px;
        border-collapse: collapse;
        font-size: 14px;

        thead {
          tr {
            background: #f3f3f3;

            th {
              text-align: center;
            }
          }
        }

        tbody, thead, tfoot {
          tr {
            td, th {
              padding: 5px 10px;
              vertical-align: middle;
              border: 1px solid #c4c4c4;
            }
          }
        }
      }
    }
  }

  .footer {
    .authorized {
      display: block;
      text-align: center;
      border-top: 1px dashed #333;
      margin: 20px;
      padding-top: 10px;
    }
  }
}
